/* ================================
   single-product/base.css
   Base layout
================================ */

/* Page structure */
.product-single {
    direction: rtl;
}

.product-main {
    margin-bottom: 20px;
}

.product-main__layout {
    display: grid;
    grid-template-columns: 450px 1fr;
    gap: 3rem;
    align-items: start;
}

.product-main__gallery {
    min-width: 0;
    margin-right: 70px;
}

.product-gallery {
    position: sticky;
    top: 1.5rem;
}

/***/

.product-purchase-sidebar .purchase-card .purchase-info-row .info-item img {
    height: 30px;
    width: auto;
}

/**/

form.cart .quantity {
    display: inline-flex;
    align-items: center;
    direction: ltr;
    height: 42px;
    border: 1px solid #dcdcdc;
    border-radius: 7px;
    overflow: hidden;
}

form.cart .quantity input.qty {
    width: 56px !important;
    height: 40px !important;
    border: 0 !important;
    outline: 0;
    text-align: center;
    padding: 0 !important;
    -moz-appearance: textfield;
    appearance: textfield;
}

form.cart .quantity input.qty::-webkit-outer-spin-button,
form.cart .quantity input.qty::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

form.cart .quantity .qty-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border: 0;
    background: #f7f7f7;
    color: #333;
    font-size: 23px;
    font-weight: 700;
    cursor: pointer;
    line-height: 1;
    transition: 0.2s;
}

form.cart .quantity .qty-btn:hover {
    background: #f50057;
    color: #fff;
}

form.cart .quantity .qty-minus {
    border-right: 1px solid #dcdcdc;
}

form.cart .quantity .qty-plus {
    border-left: 1px solid #dcdcdc;
}
